%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%define modulename comoonics

Summary: Comoonics minimum baselibraries
Name: comoonics-base-py
Version: 0.1
Release: 5
Source0: http://www.open-sharedroot.org/development/comoonics-base-py/comoonics-base-py-%{version}.tar.gz
License: GPLv2+
Group: Development/Libraries
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: python PyXML
Url: http://www.open-sharedroot.org/development/comoonics-base-py
BuildRequires: python-devel

%description
 
Comoonics minimum baselibraries written in Python

Those are classes used by more other packages.


%prep
%setup -q

%build
python setup.py %{name} build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py %{name} install --root=$RPM_BUILD_ROOT 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{python_sitelib}/*.egg-info
%dir %{python_sitelib}/comoonics
%{python_sitelib}/comoonics/*.py
%{python_sitelib}/comoonics/*.pyc
%{python_sitelib}/comoonics/*.pyo
%doc README.txt LICENSE.txt

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Jul 20 2009 MH <hlawatschek@atix.de>, 0.1-3
- fedora compliant additional changes.

* Tue Jul 20 2009 MH <hlawatschek@atix.de>, 0.1-2
- fedora compliant

* Mon Jul 20 2009 MH <hlawatschek@atix.de>, 0.1-1
- initial revision
